Magick++: Magick::ColorHSL Class Reference

Magick++ 7.1.0

Public Member Functions | Protected Member Functions | List of all members
Magick::ColorHSL Class Reference

`#include <Color.h>`

Inheritance diagram for Magick::ColorHSL:
[legend]
Collaboration diagram for Magick::ColorHSL:
[legend]

## Public Member Functions
| ColorHSL (void)
| ColorHSL (const Color &color_)
| ColorHSL (const double hue_, const double saturation_, const double lightness_)
| ~ColorHSL ()
ColorHSL & | operator= (const Color &color_)
void | hue (const double hue_)
double | hue (void) const
void | lightness (const double lightness_)
double | lightness (void) const
void | saturation (const double saturation_)
double | saturation (void) const
Public Member Functions inherited from Magick::Color
| Color (void)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_, const Magick::Quantum alpha_)
| Color (const Magick::Quantum cyan_, const Magick::Quantum magenta_, const Magick::Quantum yellow_, const Magick::Quantum black_, const Magick::Quantum alpha_)
| Color (const char *color_)
| Color (const Color &color_)
| Color (const PixelInfo &color_)
| Color (const std::string &color_)
virtual | ~Color (void)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *color)
const Color & | operator= (const PixelInfo &color_)
const Color & | operator= (const std::string &color)
| operator PixelInfo () const
| operator std::string () const
bool | isFuzzyEquivalent (const Color &color_, const double fuzz_) const
void | isValid (const bool valid_)
bool | isValid (void) const
Magick::Color::PixelType | pixelType (void) const
void | quantumAlpha (const Quantum alpha_)
Quantum | quantumAlpha (void) const
void | quantumBlack (const Quantum black_)
Quantum | quantumBlack (void) const
void | quantumBlue (const Quantum blue_)
Quantum | quantumBlue (void) const
void | quantumGreen (const Quantum green_)
Quantum | quantumGreen (void) const
void | quantumRed (const Quantum red_)
Quantum | quantumRed (void) const

## Protected Member Functions
| ColorHSL (PixelInfo *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelInfo *rep_, PixelType pixelType_)
| Color (PixelType pixelType_)
void | pixel (PixelInfo *rep_, PixelType pixelType_)

## Additional Inherited Members
Public Types inherited from Magick::Color
enum | PixelType { CMYKPixel, CMYKAPixel, RGBPixel, RGBAPixel }
Static Protected Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Attributes inherited from Magick::Color
PixelInfo * | _pixel

## Detailed Description

Definition at line 279 of file Color.h.

## Constructor & Destructor Documentation

## ◆ ColorHSL() [1/4]

Magick::ColorHSL::ColorHSL | ( | void |  | ) |

Definition at line 592 of file Color.cpp.

## ◆ ColorHSL() [2/4]

Magick::ColorHSL::ColorHSL | ( | const Color & | color_ | ) |

Definition at line 597 of file Color.cpp.

## ◆ ColorHSL() [3/4]

Magick::ColorHSL::ColorHSL | ( | const double | hue_,
|  | const double | saturation_,
|  | const double | lightness_
| ) |  |

Definition at line 602 of file Color.cpp.

References Magick::Color::quantumBlue(), Magick::Color::quantumGreen(), and Magick::Color::quantumRed().

## ◆ ~ColorHSL()

Magick::ColorHSL::~ColorHSL | ( |  | ) |

Definition at line 618 of file Color.cpp.

## ◆ ColorHSL() [4/4]

Magick::ColorHSL::ColorHSL | ( | PixelInfo * | rep_,
|  | PixelType | pixelType_
| ) |  |
| protected

## Member Function Documentation

## ◆ hue() [1/2]

void Magick::ColorHSL::hue | ( | const double | hue_ | ) |

Definition at line 628 of file Color.cpp.

## ◆ hue() [2/2]

double Magick::ColorHSL::hue | ( | void |  | ) | const

Definition at line 652 of file Color.cpp.

## ◆ lightness() [1/2]

void Magick::ColorHSL::lightness | ( | const double | lightness_ | ) |

Definition at line 665 of file Color.cpp.

## ◆ lightness() [2/2]

double Magick::ColorHSL::lightness | ( | void |  | ) | const

Definition at line 689 of file Color.cpp.

## ◆ operator=()

Magick::ColorHSL & Magick::ColorHSL::operator= | ( | const Color & | color_ | ) |

Definition at line 622 of file Color.cpp.

## ◆ saturation() [1/2]

void Magick::ColorHSL::saturation | ( | const double | saturation_ | ) |

Definition at line 702 of file Color.cpp.

## ◆ saturation() [2/2]

double Magick::ColorHSL::saturation | ( | void |  | ) | const

Definition at line 726 of file Color.cpp.

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp